Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Sep 2018 01:34:43 +0300

>> 0. emacs -Q
>> 
>> 1. C-h e
>> 
>> 2. C-x o
>> 
>> 3. C-x 2
>> 
>> 4. C-x 0
>> 
>> It's expected that point will remain where it was visually on the screen,
>> just will relocate to the window that takes place of the deleted window,
>> but point jumps to an unexpected place in the opposite part of the frame.
>> 
>> This is not a regression, but nevertheless very annoying behavior.
>
> You mean you expected that if the same buffer is displayed in another
> window, Emacs should prefer that other window when it decides what
> window to make the selected one?

Actually it's a rare case when the same buffer is displayed
in two windows.  But I meant a more general case where all windows
display different buffers.  This is a more appropriate recipe
that avoids the same buffers:

0. emacs -Q

1. C-h e

2. C-x o

3. C-x 2

4. C-h i

5. C-x 0